Name: chrooted-resolv
Version: 0.2
Release: alt3

Summary: Chrooted environment with all required for resolver
Summary(ru_RU.KOI8-R): Chrooted environment     resolver'a
License: GPL
Group: System/Base
BuildArch: noarch
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source0: resolv.chroot.all
Source1: resolv.chroot.conf
Source2: resolv.chroot.lib

Requires(post): chrooted >= 0.2, net-tools

%define ROOT /var/resolv
Provides: %ROOT

%description
This package provides readonly chrooted environment with all stuff
required for resolver to work properly.

%install
for n in all conf lib; do
	%__install -pD -m750 "$RPM_SOURCE_DIR/resolv.chroot.$n" \
		"$RPM_BUILD_ROOT%_sysconfdir/chroot.d/resolv.$n"
done
%__subst -p 's,%%ROOT,%ROOT,g' "$RPM_BUILD_ROOT%_sysconfdir/chroot.d/"*

%__mkdir_p $RPM_BUILD_ROOT%ROOT{%_sysconfdir,/lib,/var/{nis,yp/binding}}
touch $RPM_BUILD_ROOT%ROOT{%_sysconfdir/{localtime,hosts,services,{host,nsswitch,resolv}.conf},/var/nis/NIS_COLD_START}

%post
%_sysconfdir/chroot.d/resolv.all

%preun
if [ $1 = 0 ]; then
	%__rm -f %ROOT/lib/* %ROOT/var/yp/binding/*
fi

%files
%config %_sysconfdir/chroot.d/*
%dir %ROOT
%dir %ROOT/lib
%dir %ROOT%_sysconfdir
%ghost %ROOT%_sysconfdir/localtime
%ghost %ROOT%_sysconfdir/hosts
%ghost %ROOT%_sysconfdir/services
%ghost %ROOT%_sysconfdir/*.conf
%dir %ROOT/var
%dir %ROOT/var/nis
%ghost %ROOT/var/nis/NIS_COLD_START
%dir %ROOT/var/yp
%dir %ROOT/var/yp/binding

%changelog
* Wed Nov 20 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2-alt3
- Minor specfile cleanup.

* Wed Apr 17 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.2-alt2
- Fixed %%post (no need to force).

* Sat Apr 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.2-alt1
- Added NIS/NIS+ support (thanks to Sergey V. Degtiarenko).

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt1
- Initial revision.
